Summary: sendmail mail transport agent
Name: sendmail
Version: 8.11.4
Release: 1a
Group: Daemons
Copyright: BSD
Url: http://www.sendmail.org/
Packager: Hao Li <hli@wag.caltech.edu>
Source0: ftp://ftp.sendmail.org/pub/sendmail/sendmail.%{version}.tar.gz
Source1: sendmail.mc
Source2: sendmail.siteconfig
Source3: sendmail.aliases
Source4: sendmail.access
Source5: sendmail.local-host-names
Source6: sendmail.trusted-users
Source7: sendmail.Makefile
Source10: sendmail.init
Provides: smtpdaemon
Requires: procmail
BuildRoot: /var/tmp/%{name}-root

%description
Sendmail is a Mail Transport Agent, which is the program
that moves mail from one machine to another.  Sendmail implements a
general internetwork mail routing facility, featuring aliasing and
forwarding, automatic routing to network gateways, and flexible
configuration.


%prep
%setup -q


%build
# site.config.m4 customizes directory layout and enables "make install" as
# non-root
sed 	-e "s|RPM_OPT_FLAGS|$RPM_OPT_FLAGS|" \
	-e "s|RPM_BUILD_USER|`id -un`|" \
	-e "s|RPM_BUILD_GROUP|`id -gn`|" \
	%{SOURCE2} > devtools/Site/site.config.m4

./Build

# Generate sendmail.cf from sendmail.mc
(cd cf/cf; cp -p %{SOURCE1} sendmail.mc; ./Build sendmail.cf)

gzip -9f doc/*/*.ps


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{bin,sbin,lib,man/man{1,5,8}}
mkdir -p $RPM_BUILD_ROOT/{etc/mail,etc/rc.d/init.d}

./Build install DESTDIR=$RPM_BUILD_ROOT
strip $RPM_BUILD_ROOT/usr/sbin/*

# By default HostStatusDirectory is undefined (see cf/README), so 
# /var/spool/mqueue/.hoststat and the two files below are all useless.
rm -f $RPM_BUILD_ROOT/usr/bin/{hoststat,purgestat}

# Way too many applications have this path hard-coded
ln -sf ../sbin/sendmail $RPM_BUILD_ROOT/usr/lib/sendmail

install -m644 cf/cf/sendmail.cf $RPM_BUILD_ROOT/etc/mail/

install -m644 %{SOURCE3} $RPM_BUILD_ROOT/etc/mail/aliases
install -m644 %{SOURCE4} $RPM_BUILD_ROOT/etc/mail/access
install -m644 %{SOURCE5} $RPM_BUILD_ROOT/etc/mail/local-host-names
install -m644 %{SOURCE6} $RPM_BUILD_ROOT/etc/mail/trusted-users
install -m644 %{SOURCE7} $RPM_BUILD_ROOT/etc/mail/Makefile

touch $RPM_BUILD_ROOT/etc/mail/aliases.db
touch $RPM_BUILD_ROOT/etc/mail/access.db

install -m755 %{SOURCE10} $RPM_BUILD_ROOT/etc/rc.d/init.d/sendmail
install -d -m755 $RPM_BUILD_ROOT/var/spool/mqueue


%post
/sbin/chkconfig --add sendmail
cd /etc/mail && make > /dev/null
touch /etc/mail/statistics
chmod 644 /etc/mail/statistics


%preun
if [ $1 = 0 ]; then
    /sbin/chkconfig --del sendmail
fi


%files
%defattr(-,root,root)
%doc FAQ INSTALL KNOWNBUGS LICENSE PGPKEYS README RELEASE_NOTES
%doc doc/*/*.ps.gz
%dir /etc/mail
/etc/mail/helpfile
/etc/mail/Makefile
%config /etc/mail/sendmail.cf
%config /etc/mail/aliases
%config /etc/mail/access
%config /etc/mail/local-host-names
%config /etc/mail/trusted-users
%ghost  /etc/mail/aliases.db
%ghost  /etc/mail/access.db
%ghost  /etc/mail/statistics
%config /etc/rc.d/init.d/sendmail
%attr(0755,root,mail) %dir /var/spool/mqueue
/usr/bin/*
/usr/sbin/*
/usr/lib/*
/usr/man/man*/*


%clean
rm -rf $RPM_BUILD_ROOT

